Subject: Matrix diagonalization, dense and sparse

From: Herbert Homeier (t4720) <[email-masked]>
Date: Tue, 1 Feb 94 11:25:30 +0100

Hello,

The following is from the Numerical Analysis Digest, Vol. 94, No. 5. 
There should be some interest of computational chemists reading the 
CCL for this topic, I guess.

Herbert Homeier

----
Dr. H. Homeier
Institut fuer Physikalische und Theoretische Chemie
Universitaet Regensburg
D-93040 Regensburg
Germany

Phone: +49-941-943 4720
FAX  : +49-941-943 2305
email: [email-masked]     (preferred)
       [email-masked]

----
From: Alan Edelman <[email-masked]>
Date: Mon, 24 Jan 94 21:40:58 EST
Subject: Large Linear Algebra Survey

THE LARGE NUMERICAL LINEAR ALGEBRA SURVEY

  Many of you may be familiar with my series of surveys designed to 
assess users' needs and give perspective on the state of computing.
I have learned that such surveys are difficult because computational 
scientists come from so many different fields.  I annually read
many technical papers outside of my field of specialty -- each with
its own jargon.  Though this is time consuming, I think the information
gathered has proved quite valuable.

  My last survey may be found in the Journal of Supercomputer 
Applications, 7 (1993), 113-128.

  This year I would like to ask about both sparse and dense problems.
                                           ^^^^^^     ^^^^^

  1) Has the world yet seen the solution of a 100,000 x 100,000
     dense linear system?

  2) Has the world yet seen the computation of some or all eigenvalues
     or eigenvectors of a dense symmetric 30,000 x 30,000 matrix?

  3) Has the world yet seen the computation of some or all eigenvalues
     or eigenvectors of a dense non-symmetric 10,000 x 10,000 matrix?

A) I would like to hear about any solutions to an n x n system
   of equations where n > 10,000 for dense problems, or
   n > 100,000 for sparse problems.  I would like to know
   what is your solution method, where the problem arises,
   and references to your papers and also an elementary paper
   or text on the subject.  Also, I would like to know
   about the time and accuracy of your solution.  

B) I would like to hear about eigenvalue problems, again
   with n>10,000 for dense problems, or n>100,000 for
   sparse problems.  Please answer the same questions
   as in A.

c) If you have a large problem, how would your work be
   influenced if we could solve problems 100 times
   as large in the same amount of time?

  Thanks for your cooperation.  This survey seems to have a wide
readership and your work will be duly noted.  If you have participated
before, I look forward to your updates.  If not, I look forward to
hearing from you.

Thanks again
Alan Edelman
Dept of Mathematics
MIT 2-380
Cambridge, MA 02139
[email-masked]